%bcond_with tests

%global srcname postorius

Name:           python-%{srcname}
Version:        1.3.8
Release:    1%{?dist}
Summary:        Web UI for GNU Mailman
License:        GPL-3.0-or-later
URL:            https://gitlab.com/mailman/postorius
Source0:         %{pypi_source %{srcname}}
Patch0:          %{srcname}-pep503.patch
Patch1:          %{srcname}-django42.diff
Patch2:          %{srcname}-include-lc_messages-packages.diff

BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools

%global _description %{expand:
The Postorius Django app provides a web user interface to access GNU Mailman.}

%description %{_description}


%package -n %{srcname}
Summary:        %{summary}

%description -n %{srcname} %{_description}


%prep
%autosetup -p1 -n %{srcname}-%{version}


%if %{with tests}
%generate_buildrequires
%pyproject_buildrequires -t
%else
%generate_buildrequires
%pyproject_buildrequires
%endif


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files %{srcname}


%check
%if %{with tests}
PYTHONPATH=$(pwd)/src:${PYTHONPATH} \
%tox
%endif


%files -n %{srcname} -f %{pyproject_files}
%license COPYING
%doc README.rst


%changelog
* Fri Jun 28 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.8-1
- initial build
